package com.njcn.system.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njcn.system.pojo.param.PqDashboardPageParam;
import com.njcn.system.pojo.po.PqDashboardPage;
import com.njcn.system.pojo.vo.PqDashboardPageVO;
import com.njcn.user.pojo.po.HomePage;

import java.util.List;

/**
 * 
 * Description:
 * Date: 2025/05/23  下午 3:15【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */
public interface PqDashboardPageService extends IService<PqDashboardPage> {


        Boolean addDashboard(PqDashboardPageParam pqDashboardPageParam);

        Boolean updateDashboard(PqDashboardPageParam.UpdatePqDashboardPageParam updatePqDashboardPageParam);

        PqDashboardPageVO queryById(String id);

    Page<PqDashboardPageVO> queryPage(PqDashboardPageParam.PqDashboardPageQueryParam pqDashboardPageQueryParam);

    Boolean activatePage(String id,Integer state);

    PqDashboardPageVO queryByPagePath(String pagePath);

    List<PqDashboardPage> getDashboardPageByUserId(String id,boolean state);

    Boolean scopePage(String id, String userId);
}
